%define ver_major 3.6
%define api_ver 3.6
%define _name gtkhtml
%def_disable static

Name: gtkhtml3
Version: %ver_major.2
Release: alt1

Summary: GtkHTML is a HTML rendering/editing library
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

%define glade_ver 2.5.1
%define soup_ver 2.2.2
%define libgnomeui_ver 2.10.0
%define libgnomeprint_ver 2.10.0

BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libsoup-devel >= %soup_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnomeprint2-devel >= %libgnomeprint_ver

# Automatically added by buildreq on Tue Apr 06 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgail-devel libgcrypt-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgnutls-devel libgpg-error-devel libgtk+2-devel libpango-devel libpopt-devel libsoup-devel libstdc++-devel libtasn1-devel libxml2-devel perl-XML-Parser pkgconfig zlib-devel

%description
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed to
be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it. The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also an
editor. Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n lib%name
Summary: Libraries for GtkHTML
Group: System/Libraries
Requires: libglade2 >= %glade_ver
Requires: libsoup-devel >= %soup_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libgnomeprint2 >= %libgnomeprint_ver

%description -n lib%name
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed to
be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

This package contains libraries used by GtkHTML.

%package -n lib%name-devel
Provides: lib%name-devel
Summary: Development libraries, header files and utilities for GtkHTML
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgnomeprint2-devel >= %libgnomeprint_ver

%description -n lib%name-devel
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed to
be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

This package contains the files necessary to develop applications with GtkHTML.

%if 0
%package -n lib%name-devel-doc
Summary: Development documentation for GtkHTML
Group: Development/GNOME and GTK+
Conflicts: lib%name < %version-%release

%description -n lib%name-devel-doc
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed to
be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

This package contains development documentation for GtkHTML.
%endif

%package -n lib%name-devel-static
Provides: lib%name-devel-static
Summary: Static libraries for GtkHTML
Group: Development/GNOME and GTK+
Requires: lib%name-devel-static = %version-%release

%description -n lib%name-devel-static
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed to
be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

This package contains the files necessary to develop applications
statically linked with GtkHTML.

%prep
%setup -q -n %_name-%version

%build
%configure \
    %{subst_enable static}

%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/%_name/*.la

%find_lang %_name-%api_ver

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name -f %_name-%api_ver.lang
%_libdir/*.so.*
%_libdir/%_name/*.so
%_libdir/bonobo/servers/*
%_datadir/%_name-%api_ver
%doc AUTHORS ChangeLog NEWS README TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/%_name/*.a
%endif

%changelog
* Mon Apr 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.6.2-alt1
- 3.6.2

* Tue Mar 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.6.1-alt1
- 3.6.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.6.0-alt1
- 3.6.0

* Wed Mar 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.5.7-alt1
- 3.5.7

* Fri Feb 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 3.5.6-alt1
- 3.5.6

* Sat Dec 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.2.4-alt1
- 3.2.4

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.2.3-alt1
- 3.2.3

* Thu Sep 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.2.2-alt1
- 3.2.2

* Tue Jul 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.17-alt1
- 3.1.17

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.16-alt1
- 3.1.16

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.14-alt1
- 3.1.14

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.12-alt1
- 3.3.12

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.11-alt1
- 3.1.11

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.9-alt1
- 3.1.9

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.8-alt1
- 3.1.8

* Fri Jan 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.1.7-alt1
- 3.1.7

* Mon Sep 22 2003 AEN <aen@altlinux.ru> 3.0.8-alt2
- added requires on %name to devel package

* Tue Aug 05 2003 AEN <aen@altlinux.ru> 3.0.8-alt1
- new version

* Fri Jul 11 2003 AEN <aen@altlinux.ru> 3.0.7-alt1
- release

* Thu Jul 03 2003 AEN <aen@altlinux.ru> 3.0.6-alt1
- new version from gnome cvs

* Wed Jun 18 2003 AEN <aen@altlinux.ru> 3.0.5-alt1
- first build for sisyphus

